## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global nagiospluginsdir %{_libdir}/nagios/plugins
Name:           nagios-plugins-newest_file_age
Version:        1.1
Release:        %autorelease
Summary:        Nagios Plugin - check_newest_file_age
License:        MIT
URL:            https://exchange.nagios.org/directory/Plugins/System-Metrics/File-System/check_newest_file_age/details
Source:         https://github.com/thehunmonkgroup/nagios-plugin-newest-file-age/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:       /usr/bin/sh
Requires:       coreutils

# Require the package that owns the plugins dir, as we install the plugin there.
Requires:       nagios-common

BuildRequires:  /usr/bin/install

# The package does not contain any architecture-dependent things, but installs
# into an arch-dependent directory. Thus, it cannot be noarch, but it does not
# provide any debuginfo.
%global debug_package %{nil}

%description
This plugin pulls the most recently created file in each specified directory,
and checks its created time against the current time. If the maximum age of the
file is exceeded, a warning/critical message is returned as appropriate.

%prep
%autosetup -p1 -n nagios-plugin-newest-file-age-%{version}

%build
# Nothing to do here.


%install
install -p -D -t %{buildroot}/%{nagiospluginsdir} check_newest_file_age

%files
%doc README.md
%license LICENSE
%{nagiospluginsdir}/*


%changelog
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 11 2022 Till Hofmann <thofmann@fedoraproject.org> 1.1-2
- Update summary to the common pattern for nagios plugins

* Fri Nov 11 2022 Till Hofmann <thofmann@fedoraproject.org> 1.1-1
- Rename to nagios-plugins-newest_file_age
